% createMachFilter: Creates MACH filter for given images.
%
% Usage: [filter] = 
%   createMachFilter(imgs, fimgs, s, delta)
%
% 'fimgs'       - Fourier transforms of training images.
% 's'           - Size of side of image.
% 'delta'       - Delta value defined for false class training. Usually
%                   between 0.05 and 0.005
%
% 'filter'      - The filters

function [filter] = createMachFilter2(px, nx, s, delta)

% Compute mean images
mx = mean(px,2);

% Subtract mean and compute sx vector.
dif = bsxfun(@minus,px,mx);
sx = mean(conj(dif) .* dif,2);

dy = mean(nx .* conj(nx),2);

filter = mx ./ (dy + sx);

% if sum(sum(isreal(filter))) == length(filter)
    imagesc(reshape(filter, [s s])); %colormap('gray');
% end